This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1016014 - Scala not installed due dependency
Scala not installed due dependency
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: scala (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Geoff Reedy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 06:16 EDT by Pavel Alexeev
Modified: 2013-10-13 11:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-12 10:38:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2013-10-07 06:16:50 EDT
Description of problem:
# yum install scala
Resolving Dependencies
--> Running transaction check
---> Package scala.noarch 0:2.9.2-2.fc19 will be installed
--> Processing Dependency: osgi(org.scala-ide.scala.library) for package: scala-2.9.2-2.fc19.noarch
--> Processing Dependency: jline2 for package: scala-2.9.2-2.fc19.noarch
--> Processing Dependency: /usr/share/java/jline2.jar for package: scala-2.9.2-2.fc19.noarch
updates-testing/19/x86_64/filelists_db                                                                                                                                                                | 2.2 MB  00:00:45
updates-testing-debuginfo/19/x86_64/filelists_db                                                                                                                                                      | 1.4 MB  00:00:25
--> Running transaction check
---> Package jline2.noarch 0:2.10-6.fc19 will be installed
---> Package scala.noarch 0:2.9.2-2.fc19 will be installed
--> Processing Dependency: osgi(org.scala-ide.scala.library) for package: scala-2.9.2-2.fc19.noarch
--> Finished Dependency Resolution
Error: Package: scala-2.9.2-2.fc19.noarch (fedora)
           Requires: osgi(org.scala-ide.scala.library)
 You could try using --skip-broken to work around the problem
Comment 1 Jochen Schmitt 2013-10-12 10:38:23 EDT
This should be fixed due scala-2.10.3-1.fc19
Comment 2 Pavel Alexeev 2013-10-13 09:56:51 EDT
I do not see 2.10 scala in Fedora 19. Does it updatet pushed? Coult you pplease provide bodhi link?
Comment 3 Jochen Schmitt 2013-10-13 10:18:35 EDT
There should be a scala-2.10.3-1.fc19 in updates-testing. Perhaps you may need
to wait one day until bodhi has pushed the update in the repository.
I'm planing to superseed this update with scala-2.10.3-2.fc19 which shold solve
a creash in the scala REPL reported in BZ#890069
Comment 4 Pavel Alexeev 2013-10-13 11:16:04 EDT
Thanks for the info.

Note You need to log in before you can comment on or make changes to this bug.